@import url('https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700&display=swap');

* {
  margin: 0;
  padding: 0;
  outline: none;
  box-sizing: border-box;
}

nav {
  background: #fff;
  display: flex;
  flex-wrap: wrap;
  color: #1e2c40;
  align-items: center;
  justify-content: space-between;
  padding: 0 100px;
  background-image: url('../IMG/bgh.png');
  background-size: cover;
  background-position: top center;
  background-repeat: repeat-y;
  font-family: 'Poppins', sans-serif;
}

nav .logo {
  color: #1e2c40;
  font-size: 30px;
  font-weight: 600;
  letter-spacing: -1px;
}

nav .logo img {
  max-height: 40px;
  vertical-align: middle;
  margin: 10px;
}

nav .nav-items {
  display: flex;
  flex: 1;
  padding: 0 40px 0 40px;
}

nav .nav-items li {
  position: relative;
  list-style: none;
  padding: 15px 15px;
}
nav .nav-items li::before{
  display: none;
}
/* menu desplegable */
nav .nav-items li ul {
  display:none;
  position: absolute;
  top:100%;
  left:0;
  padding:0;
  background: #f47f50;
  z-index: 99;
  padding: 10px 0px;
  border-radius: 10px;
}
nav .nav-items li ul:after {
  content: " ";
  position: absolute;
  left: 30px;
  top: -15px;
  border-top: none;
  border-right: 15px solid transparent;
  border-left: 15px solid transparent;
  border-bottom: 15px solid #f47f50;
}

/* items del menu desplegable */
nav .nav-items li ul li {
  float:none;
  width:200px;
  padding: 0px 15px;
}
/* enlaces de los items del menu desplegable */
nav .nav-items li ul li a {
  font-family: 'Raleway', sans-serif;
  line-height:1.5em;
  padding:5px 15px;
  color: #1e2c40;
  font-size: 20px;
  font-weight: 300;
  text-decoration: none;
  display: block;
}
/* items del menu desplegable al pasar el ratón */
nav .nav-items li:hover ul {
  display:block;
}
nav .nav-items li:hover ul li a {
  color: #1e2c40;
  font-weight: 300;
  width: 100%;
}
nav .nav-items li ul li:hover a {
  font-weight: 900;
}

nav .nav-items li a {
  color: #1e2c40;
  font-size: 20px;
  font-weight: 500;
  text-decoration: none;
  border-bottom: #fff 1px solid;
}

nav .nav-items li:hover a {
  color: #1e2c40;
  border-bottom: #1e2c40 1px solid;
  vertical-align: middle;
}
nav .nav-items li:last-of-type:hover a {
  border-bottom: #fff 1px solid;
}


nav .nav-items #mail, nav .nav-items #wats{
  max-height: 30px;
  margin: 0 10px;
  vertical-align: middle;
}

nav form { 
  display: flex;
  height: 40px;
  padding: 2px;
  background: #fff;
  min-width: 18% !important;
  border-radius: 20px;
  border: 1px solid rgba(155, 155, 155, 0.2);
  z-index: 99;
}

nav form button {
  padding: 0 15px;
  color: #1e2c40;
  font-size: 17px;
  border: none;
  background: none;
  border-radius: 2px;
  cursor: pointer;
}

nav form button:hover {
  color: #1e2c40;
}

nav .menu-icon,
nav .cancel-icon {
  width: 40px;
  text-align: center;
  margin: 0 50px;
  font-size: 18px;
  color: #1e2c40;
  cursor: pointer;
  display: none;
}

nav .menu-icon:hover,
nav .cancel-icon:hover {
  color: #1e2c40;
}

nav .menu-icon span,
nav .cancel-icon {
  display: none;
}

@media (max-width: 1245px) {
  nav {
    padding: 0 50px;
  }
}

@media (max-width: 1140px) {
  nav {
    padding: 0px;
  }

  nav .logo {
    flex: 2;
    text-align: center;
  }

  nav .nav-items {
    position: fixed;
    z-index: 99;
    top: 60px;
    width: 100%;
    left: -100%;
    height: 100%;
    padding: 10px 50px 0 50px;
    text-align: center;
    background: #14181f;
    display: inline-block;
    transition: left 0.3s ease;
    overflow-y: scroll;
  }
  nav .nav-items.active {
    left: 0px;
  }

  nav .nav-items li {
    line-height: 10px;
    margin: 30px 0;
  }
  nav .nav-items li a {
    font-size: 20px;
  }

  /* menu desplegable */
  nav .nav-items li ul {
    display:block;
    position: static;
    top:0;
    margin-top: 0px;
    padding:0;
    background: none;
    z-index: 99;
    border-radius: 0px;
  }
  nav .nav-items li ul:after {
    display: none;
  }

  nav .nav-items li a {
    color: #fff;
    font-size: 20px;
    font-weight: 500;
    text-decoration: none;
    border-bottom: #14181f 1px solid;
  }

  /* items del menu desplegable */
  nav .nav-items li ul li {
    width:100%;
    line-height: 5px;
    margin: 10px 0;
  }
  /* enlaces de los items del menu desplegable */
  nav .nav-items li ul li a {
    font-family: 'Raleway', sans-serif;
    line-height:1em;
    padding:0px 15px;
    color: #1e2c40;
    font-size: 20px;
    font-weight: 300;
    text-decoration: none;
  }
  /* items del menu desplegable al pasar el ratón */
  nav .nav-items li:hover ul {
    display:block;
  }
  nav .nav-items li:hover ul li a {
    color: #1e2c40;
    font-weight: 300;
  }
  nav .nav-items li ul li:hover a {
    font-weight: 900;
  }



  nav form {
    position: absolute;
    top: 80px;
    right: 50px;
    opacity: 0;
    pointer-events: none;
    transition: top 0.3s ease, opacity 0.1s ease;
    z-index: 99;
  }

  nav form.active {
    top: 120px;
    width: 85%;
    opacity: 1;
    pointer-events: auto;
  }

  nav form:before {
    position: absolute;
    content: "";
    top: -13px;
    right: 0px;
    width: 0;
    height: 0;
    z-index: -1;
    border: 10px solid transparent;
    border-bottom-color: #1e232b;
    margin: -20px 0 0;
  }

  nav form:after {
    position: absolute;
    content: '';
    height: 60px;
    padding: 2px;
    background: #1e232b;
    border-radius: 2px;
    min-width: calc(100% + 20px);
    z-index: -2;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }

  nav .menu-icon {
    display: block;
  }

  nav .search-icon,
  nav .menu-icon span {
    display: block;
  }

  nav .menu-icon span.hide,
  nav .search-icon.hide {
    display: none;
  }

  nav .cancel-icon.show {
    display: block;
  }
}

.content {
  position: absolute;
  top: 50%;
  left: 50%;
  text-align: center;
  transform: translate(-50%, -50%);
}

.content header {
  font-size: 30px;
  font-weight: 700;
}

.content .text {
  font-size: 30px;
  font-weight: 700;
}

.space {
  margin: 10px 0;
}

nav .logo.space {
  color: red;
  padding: 0 5px 0 0;
}

@media (max-width: 980px) {

  nav .menu-icon,
  nav .cancel-icon,
  nav .search-icon {
    margin: 0 20px;
  }

  nav form {
    right: 30px;
  }
}

@media (max-width: 350px) {

  nav .menu-icon,
  nav .cancel-icon,
  nav .search-icon {
    margin: 0 10px;
    font-size: 16px;
  }
}

.content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.content header {
  font-size: 30px;
  font-weight: 700;
}

.content .text {
  font-size: 30px;
  font-weight: 700;
}

.content .space {
  margin: 10px 0;
}